Bug 478662 - Review Request: dustin-dustismo-fonts - font with serif and sans-serif versions
Review Request: dustin-dustismo-fonts - font with serif and sans-serif versions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 19:17 EST by Sven Lankes
Modified: 2009-01-26 20:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:51:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sven Lankes 2009-01-02 19:17:30 EST
Spec URL: http://sven.lank.es/Fedora/SPECS/dustismo.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/dustismo-fonts-20030207-1.fc11.src.rpm
Description: Dustismo is a font by Dustin Norlander with serif and sans-serif versions

Upstream seems pretty much dead - none of the urls work. Dustismo is needed by the kdeedu package which currently ships with the font embedded (see bz #477406).
Comment 1 Ignacio Vazquez-Abrams 2009-01-02 20:07:08 EST
GPLv2+ is a bad license for fonts in Fedora. I recommend you find a suitable replacement.

https://fedoraproject.org/wiki/Legal_considerations_for_fonts
Comment 2 Nicolas Mailhot 2009-01-03 04:27:59 EST
(In reply to comment #1)
> GPLv2+ is a bad license for fonts in Fedora.

True. Nevertheless currently we do accept GPL-only fonts in Fedora, as long as their packagers continue to try to locate right holders and add the FSF Font exception to the license. There are just too many GPL-only fonts :(

Just don't use them to create PDFs
Comment 3 Sven Lankes 2009-01-03 10:44:13 EST
I have contacted the author and asked about his thoughts on relicensing as GPL + Font Exceptions. Considering that all his websites are down (and have been down for quite a while) I'm not sure the email will ever reach him (at least I haven't received a bounce for it).
Comment 4 Nicolas Mailhot 2009-01-04 05:56:13 EST
Hi Sven,

Thank you for this new font package!

Dustimo is a neat font that suffers from a missing upstream. We'll accept it nevertheless, but please continue to try getting an upstream response even after the package integration (sfd sources, addition of the font exception to the license). Anyway:

— Right now the best font source is probably Debian, as the font was created for this distribution. They have a more current dustimo.zip in their ttf-dustin package (20030318)

— Please make separate sans and sans-serif subpackages using the multi template in fontpackages-devel

— Please add fontconfig declarations to each subpackage. It's not difficult, just fill in the basic template in fontpackages-devel (you can ask for help on the list if you have a problem at some point)

— you don't really need to add an archivename if its value is the same as fontname

— please don't deviate from the template and use the provided macros or we'll have no end of problems lates

⇒ NEEDINFO till this is taken care of
Comment 5 Sven Lankes 2009-01-04 16:31:52 EST
(In reply to comment #4)

Spec-URL: http://sven.lank.es/Fedora/SPECS/dustismo-fonts.spec
SRPM-URL: http://sven.lank.es/Fedora/SRPM/dustismo-fonts-20030318-1.fc11.src.rpm

Updated SPEC - the spec should address all the issues you listed.
Comment 6 Nicolas Mailhot 2009-01-05 13:17:23 EST
This looks good, a variant on the multi template I hadn't seen before, but it works.

Please also consider adding a dustin- prefix to the package name especially if you intend to package more fonts by the same author
(This is a proposed guideline which is not official yet, so I won't block on it. However if the guideline is approved you'll earn a renaming later.)

http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2008-12-22)

Anyway, the package is ⬢⬢⬢ APPROVED ⬢⬢⬢

You can continue on from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Reassigning as I've done my part. Return review of bug #475661 would be appreciated (wink wink)
Comment 7 Sven Lankes 2009-01-05 15:57:47 EST
New Package CVS Request
=======================
Package Name: dustin-dustismo-fonts
Short Description: General purpose fonts in serif and sans-serif versions
Owners: slankes
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 8 Kevin Fenzi 2009-01-06 19:04:13 EST
cvs done.
Comment 9 Fedora Update System 2009-01-07 15:09:54 EST
dustin-dustismo-fonts-20030318-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dustin-dustismo-fonts-20030318-2.fc10
Comment 10 Fedora Update System 2009-01-07 15:10:45 EST
dustin-dustismo-fonts-20030318-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dustin-dustismo-fonts-20030318-2.fc9
Comment 11 Fedora Update System 2009-01-07 23:16:50 EST
dustin-dustismo-fonts-20030318-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dustin-dustismo-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0309
Comment 12 Fedora Update System 2009-01-07 23:19:01 EST
dustin-dustismo-fonts-20030318-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update dustin-dustismo-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0322
Comment 13 Nicolas Mailhot 2009-01-17 08:34:56 EST
Also need to take care of
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#fpc_renaming

(sorry)
Comment 14 Fedora Update System 2009-01-17 18:37:51 EST
dustin-dustismo-fonts-20030318-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dustin-dustismo-fonts-20030318-3.fc10
Comment 15 Fedora Update System 2009-01-17 18:39:31 EST
dustin-dustismo-fonts-20030318-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dustin-dustismo-fonts-20030318-3.fc9
Comment 16 Fedora Update System 2009-01-21 16:27:53 EST
dustin-dustismo-fonts-20030318-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dustin-dustismo-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0736
Comment 17 Fedora Update System 2009-01-21 16:33:41 EST
dustin-dustismo-fonts-20030318-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update dustin-dustismo-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0800
Comment 18 Sven Lankes 2009-01-25 11:48:20 EST
right - dumbest bz-comment of the week-award accepted - sorry for the noise
Comment 19 Fedora Update System 2009-01-26 20:51:48 EST
dustin-dustismo-fonts-20030318-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-01-26 20:53:10 EST
dustin-dustismo-fonts-20030318-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.